#
# spec file for package limal-bootloader (Version 1.1.50)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx blocxx-devel bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dejagnu diffutils docbook-xsl-stylesheets docbook_4 doxygen e2fsprogs expect file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgcrypt libgpg-error libgssapi libidn libmudflap libnscd libpng libstdc++ libstdc++-devel libtool libxcrypt libxml2 libxslt libzio limal limal-devel limal-devtools limal-perl m4 make man mdadm mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre pcre-devel perl perl-Bootloader perl-Config-IniFiles perl-XML-Writer perl-gettext permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline recode rpm sed sgml-skel strace swig sysvinit tar tcl tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           limal-bootloader
Version:        1.1.50
Release:        0.12
License:        GNU General Public License (GPL)
Group:          System/Management
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        limal-bootloader-1.1.50.tar.bz2
prefix:		/usr
%define		swiglibdir %(swig -swiglib)
Requires:       perl-Bootloader limal-perl limal
BuildRequires:  curl docbook_4 gcc-c++ info limal-devel limal-devtools limal-perl perl-Bootloader perl-gettext sgml-skel
Summary:        LiMaL--Boot Loader Configuration Library

%description
Boot loader configuration library for LiMaL.



Authors:
--------
    Jiri Srain <jsrain@suse.cz>
    Martin Vidner <mvidner@suse.cz>
    Ladislav Slezak <lslezak@suse.cz>

%debug_package
%package devel
Requires:       limal-bootloader = %version
Requires:       limal-devel, libstdc++-devel, blocxx-devel, pcre-devel
Group:          System/Management
%ifarch %ix86 x86_64 ia64
Requires:       libunwind-devel
%endif
Summary:        LiMaL--Boot Loader Configuration Library

%description devel
LiMaL - Bootloader Configuration Library, Development Libraries



Authors:
--------
    Jiri Srain <jsrain@suse.cz>
    Martin Vidner <mvidner@suse.cz>
    Ladislav Slezak <lslezak@suse.cz>

%package perl
Requires:       limal-perl
Group:          System/Management
Summary:        LiMaL - Bootloader Configuration Library, Perl Libraries

%description perl
LiMaL - Bootloader Configuration Library, Perl Libraries



Authors:
--------
    Jiri Srain <jsrain@suse.cz>
    Martin Vidner <mvidner@suse.cz>
    Ladislav Slezak <lslezak@suse.cz>

%prep
%setup -n limal-bootloader-1.1.50

%build
%{prefix}/bin/limaltool limalautoconf
%{prefix}/bin/limaltool limalautomake
autoreconf --force --install --verbose
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir} \
            --sysconfdir=/etc --localstatedir=/var
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/limal/devtools/NO_MAKE_CHECK" ] || \
           LIMALDATADIR="$RPM_BUILD_ROOT/usr/share/limal"  \
# required for perl test cases
export LD_LIBRARY_PATH="$RPM_BUILD_ROOT/usr/lib/limal"
make check DESTDIR="$RPM_BUILD_ROOT"

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%{_libdir}/limal/lib*.so.*
%{perl_vendorarch}/Bootloader_API.pm

%files devel
%defattr(-,root,root)
%{_libdir}/limal/lib*.so
%{_libdir}/limal/lib*.la
%{_libdir}/pkgconfig/limal-bootloader.pc
%doc %{_prefix}/share/doc/packages/limal-bootloader

%changelog
* Fri Nov 17 2006 - jplack@suse.de
- fix build requires
- 1.1.50
* Fri Nov 17 2006 - jplack@suse.de
- fix lines_cache corruption (#221186)
* Thu Oct 26 2006 - jplack@suse.de
- do not core dump if $loader is not yet initialized (#213873)
* Mon Oct 09 2006 - jplack@suse.de
- flatten meta data so that it get through Yast2Perl interface (FATE#300732)
* Tue Sep 26 2006 - jplack@suse.de
- new interface for FATE#300732
* Wed Apr 19 2006 - mc@suse.de
- remove double Requires: from spec.in
* Wed Apr 19 2006 - mc@suse.de
- fix section counting [#163278] (sf)
* Sun Mar 26 2006 - aj@suse.de
- Fix build - add docbook as BuildRequirement.
* Sun Mar 26 2006 - aj@suse.de
- Remove extra Requires line.
* Fri Mar 24 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Mar 24 2006 - jplack@suse.de
- do more error checking and cleanups to fix #145575 - Perl
  messages on the console during installation
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Sep 06 2005 - jsrain@suse.cz
- fixed limal version handling (#115440)
- 1.0.5
* Fri Aug 26 2005 - jsrain@suse.cz
- reuquire libunwind-devel only on architectures where it exists
- 1.0.4
* Tue Aug 09 2005 - mt@suse.de
- replaced obsolete AX_CHECK_ macros in configure.in
- removed obsolete macros from acinclude.m4 file
- 1.0.3
* Wed Jul 20 2005 - jsrain@suse.cz
- fixed requirements (added limal and limal-perl)
- 1.0.2
* Fri Jul 15 2005 - jsrain@suse.cz
- fixed neededforbuild
- 1.0.1
* Tue Jul 12 2005 - jsrain@suse.cz
- store original lines from config file in order to use them when
  writing (otherwise data may get lost)
* Mon Jul 11 2005 - jsrain@suse.cz
- use LiMaL logging system
* Fri Jul 01 2005 - jsrain@suse.cz
- updated spec file in order to build
- updated interface of bootloader API
- 1.0.0
* Tue Jun 21 2005 - mvidner@suse.cz
- Initial release
